Bug 641946 - slapd init script gets stuck in an infinite loop
Summary: slapd init script gets stuck in an infinite loop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Vcelak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 644399
TreeView+ depends on / blocked
 
Reported: 2010-10-11 15:25 UTC by Jan Vcelak
Modified: 2013-03-04 01:27 UTC (History)
3 users (show)

Fixed In Version: openldap-2.4.23-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 644399 (view as bug list)
Environment:
Last Closed: 2010-11-01 14:13:59 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Vcelak 2010-10-11 15:25:25 UTC
Description of problem:

If any olcTLS* option is the last line in /etc/openldap/slapd.d/cn=config.ldif, init script gets stuck in an infinite loop.

Before server startup, list of TLS files (certificate, key, CA) is being created to test permissions. This is the place where the script freezes due to invalid awk command.

Version-Release number of selected component (if applicable):

2.4.21-11.fc12
2.4.21-11.fc13

Comment 1 Jan Vcelak 2010-10-11 15:28:48 UTC
Affected:

openldap-2.4.19-6.fc12
openldap-2.4.21-10.fc13
openldap-2.4.21-11.fc13 (updates-testing)
openldap-2.4.22-7.fc14
openldap-2.4.23-1.fc15

Comment 2 Jan Vcelak 2010-11-01 14:13:59 UTC
Fixed in Rawhide (openldap-2.4.23-2.fc15). Update for F14 is coming.

Comment 3 Fedora Update System 2010-11-01 14:15:16 UTC
openldap-2.4.23-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openldap-2.4.23-2.fc14

Comment 4 Fedora Update System 2010-11-18 11:20:27 UTC
openldap-2.4.23-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openldap-2.4.23-3.fc14

Comment 5 Fedora Update System 2010-11-22 22:10:21 UTC
openldap-2.4.23-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.